{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Lists</h1>
                <p>
                    <a href="{% url 'create_todolist' %}">Create a new list</a>
                </p>
                <p>
                    <a href="{% url 'create_todoitem' %}">Create a new item</a>
                </p>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of Items</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for todo in todolist_list%}
                        <tr>
                            {% comment %} the todo in todo.name is coming from todo in our for loop {% endcomment %}
                            <td> 
                                <a href="{% url 'show_todolist' todo.id %}">{{ todo.name }}</a>
                            </td>
                            <td> {{ todo.items.all|length }} </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
        </div>
    </main>
{% endblock content %}